Skip to main content
GET
/
v1
/
ai
/
agents
/
tasks
/
{taskId}
/
messages
Get Task Messages
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/messages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/messages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "more": "<string>",
  "results": [
    {
      "data": "<unknown>",
      "groupId": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

taskId
string<uuid>
required

Query Parameters

limit
integer<int32>
default:25
Required range: x <= 1000
paginationToken
string

Response

Task messages retrieved successfully

more
string

Token for fetching the next batch of results for this query; if omitted then there are no more.

results
object[]

The list of events for the task